# CvType Struct Reference

`#include <core_c.h>`

List of all members.

## Public Member Functions

| CvType (const char *type_name, CvIsInstanceFunc is_instance, CvReleaseFunc release=0, CvReadFunc read=0, CvWriteFunc write=0, CvCloneFunc clone=0)
| ~CvType ()

## Public Attributes

CvTypeInfo * | info

## Static Public Attributes

static CvTypeInfo * | first
static CvTypeInfo * | last

## Constructor & Destructor Documentation

CvType::CvType | ( | const char * | type_name,
|  | CvIsInstanceFunc | is_instance,
|  | CvReleaseFunc | release = `0`,
|  | CvReadFunc | read = `0`,
|  | CvWriteFunc | write = `0`,
|  | CvCloneFunc | clone = `0`
| ) |  |

CvType::~CvType | ( | ) |

## Member Data Documentation

CvTypeInfo* CvType::first`[static]`

CvTypeInfo* CvType::info

CvTypeInfo* CvType::last`[static]`

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core_c.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines